<form [formGroup]="form" >

  <!-- <input type="text"  value="" /> -->
<div class="meetings-search"> 
    <div class="meetings-search-col">
        <mat-form-field >
            <mat-label>Language</mat-label>
            <mat-select formControlName="languageKey">
              <mat-option value="">Any language</mat-option>
              <mat-option value="en">English</mat-option>
              <mat-option value="de">German</mat-option>
              <mat-option value="es">Spanish</mat-option>    
            </mat-select>
          </mat-form-field>


    </div>
    <div class="meetings-search-col">
        <mat-form-field >
            <mat-label>Language level</mat-label>
            <mat-select formControlName="languageLevel">
              <mat-option value="">All levels</mat-option>
              <mat-option value="a1">A1 - Beginner</mat-option>
              <mat-option value="a2">A2 - Elementary</mat-option>
              <mat-option value="b1">B1 - Intermediate</mat-option>  
              <mat-option value="b2">B2 - Upper Intermediate</mat-option>
              <mat-option value="c1">C1 - Advanced</mat-option>
              <mat-option value="c2">C2 - Proficient</mat-option>  
            </mat-select>
          </mat-form-field>


    </div>
    <div class="meetings-search-col">
        <ul class="meetings-search-split">
            <li><mat-form-field >
                <mat-label>Date from</mat-label>
                <input matInput [matDatepicker]="dateFrom" formControlName="dateFrom">
                <mat-datepicker-toggle matSuffix [for]="dateFrom"></mat-datepicker-toggle>
                <mat-datepicker #dateFrom></mat-datepicker>
              </mat-form-field></li>
            <li><mat-form-field >
                <mat-label>Date to</mat-label>
                <input matInput [matDatepicker]="dateTo" formControlName="dateTo">
                <mat-datepicker-toggle matSuffix [for]="dateTo"></mat-datepicker-toggle>
                <mat-datepicker #dateTo></mat-datepicker>
              </mat-form-field></li>
        </ul>
    </div>
</div>
</form>

    
